Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class TableInfo

    java.lang.Object
      jet.api.TableInfo

    public class TableInfo

extends java.lang.Object

A infomation package of table

Constructor Summary
`TableInfo(java.lang.String tablename, int capacity)` The constructor.construct a table infomation

Method Summary
`void` | `add(java.lang.String column)` add a column into the table
`java.lang.String` | `getColumn(int index)` get column name in specified index
`java.lang.String[]` | `getColumnNames()` get columns name in this table
`int` | `getLength()` get columns number
`java.lang.String` | `getTableName()` get table name

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableInfo

    public TableInfo(java.lang.String tablename,
                     int capacity)

  The constructor.construct a table infomation

  Parameters:
    `tablename` - The table name
    `capacity` - The columns' number in table

Method Detail

### add

    public void add(java.lang.String column)

  add a column into the table

  Parameters:
    `column` - The column name

### getTableName

    public java.lang.String getTableName()

  get table name

  Returns:
    table name

### getColumnNames

    public java.lang.String[] getColumnNames()

  get columns name in this table

  Returns:
    column names array

### getLength

    public int getLength()

  get columns number

  Returns:
    columns number

### getColumn

    public java.lang.String getColumn(int index)

  get column name in specified index

  Parameters:
    `index` - of column
  Returns:
    column name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD